﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;

namespace Metrics
{
    public class RangeSeriesBaseModel
    {
        public string Name { get; set; }

        public double High { get; set; }

        public double Low { get; set; }

        public RangeSeriesBaseModel(string name, double high, double low)
        {
            Name = name;
            High = high;
            Low = low;
        }
    }

    public class Model
    {
        public string Name { get; set; }

        public DateTime date { get; set; }

        public double Value { get; set; }

        public double Value1 { get; set; }

        public double Size { get; set; }

        public double High { get; set; }

        public double Low { get; set; }

        public Model(string name, double value)
        {
            Name = name;
            Value = value;
        }

        public Model(string name, double value, double size)
        {
            Name = name;
            Value = value;
            Size = size;
        }

        public Model(double value, double value1, double size)
        {
            Value1 = value;
            Value = value1;
            Size = size;
        }

        public Model(string name, double high, double low, double open, double close)
        {
            Name = name;
            High = high;
            Low = low;
            Value = open;
            Size = close;
        }
        public Model(DateTime Date, double high, double low, double open, double close)
        {
            date = Date;
            High = high;
            Low = low;
            Value = open;
            Size = close;
        }
        public Model(double value, double size)
        {
            Value = value;
            Size = size;
        }

        public Model(DateTime dateTime, double value)
        {
            date = dateTime;
            Value = value;
        }
    }


    public class MetricsPageModel 
    {
        public List<Model> Data { get; set; }

        private int count;

        private int wave1;

        private int wave2 = 180;

 
        public ObservableCollection<ChartDataPoint> DateTimeRangeData { get; set; }
        public ObservableCollection<Model> data { get; set; }

        public MetricsPageModel()
        {
         
            DateTime date = new DateTime(2016, 01, 14, 01, 01, 45);
            DateTimeRangeData = new ObservableCollection<ChartDataPoint>
            {
                new ChartDataPoint(date, 6),
                new ChartDataPoint(new DateTime(2016, 01, 15, 01, 01, 45), 5),
                new ChartDataPoint(new DateTime(2016, 01, 16, 08, 01, 45), 9),
                new ChartDataPoint(new DateTime(2016, 01, 17, 12, 01, 45), 10.5),
                new ChartDataPoint(new DateTime(2016, 01, 18, 12, 01, 45), 7),
                new ChartDataPoint(new DateTime(2016, 01, 19, 2, 01, 45), 9),
                new ChartDataPoint(new DateTime(2016, 01, 20, 01, 01, 45), 6),
                new ChartDataPoint(new DateTime(2016, 01, 21, 10, 01, 45), 10),
            };
           
        }

    }
}
